# Yahoo! UI Library

### dd 3.3.0

Yahoo! UI Library > dd > Plugin.DDNodeScroll
Search:
Filters Show Private Show Protected Show Deprecated

## Class Plugin.DDNodeScroll - extends DD.Scroll

Extends the Scroll class to make a parent node scroll while dragging.

### Constructor

Plugin.DDNodeScroll `( )`

### Properties

#### NS - `protected static {String}`

The NodeScroll instance will be placed on the Drag instance under the nodescroll namespace.
Default Value: nodescroll

#### Properties inherited from DD.Scroll:

`_dimCache, _scrolling, _scrollTimer, _vpRegionCache`

#### Properties inherited from Attribute:

``

#### Properties inherited from Plugin.Host:

`PluginHost`

#### Properties inherited from Base:

`name`

#### Methods inherited from DD.Scroll:

`_cancelScroll, _checkWinScroll, _getVPRegion, _initScroll, _setDimCache, align, end, start, toString`

#### Methods inherited from Attribute:

`_addAttrs, _addLazyAttr, _defAttrChangeFn, _fireAttrChange, _getAttr, _getAttrCfg, _getAttrInitVal, _getAttrs, _getStateVal, _isLazyAttr, _normAttrVals, _protectAttrs, _set, _setAttr, _setAttrs, _setAttrVal, _setStateVal, addAttr, addAttrs, attrAdded, get, getAttrs, modifyAttr, removeAttr, reset, set, setAttrs`

#### Methods inherited from Plugin.Host:

`_destroyPlugins, _initPlugins, hasPlugin, plug, unplug`

#### Methods inherited from Base:

`_aggregateAttrs, _defDestroyFn, _defInitFn, _destroyHierarchy, _filterAttrCfs, _getAttrCfgs, _getClasses, _initHierarchy, _initHierarchyData, _preInitEventCfg, destroy, init, toString`

#### Methods inherited from EventTarget:

`_getType, _monitor, _parseType, addTarget, after, before, bubble, detach, detachAll, fire, getEvent, getTargets, on, once, parseType, publish, removeTarget, subscribe, unsubscribe, unsubscribeAll`

### Events

#### nodeChange

`nodeChange ( event )`
Fires when the value for the configuration attribute 'node' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### Events inherited from DD.Scroll:

`bufferChange, horizontalChange, hostChange, parentScrollChange, scrollDelayChange verticalChange windowScrollChange`

#### Events inherited from Base:

`destroy, destroyedChange, init, initializedChange,`

### Configuration Attributes

#### node `- Node`

The node we want to scroll. Used to set the internal parentScroll attribute.

#### Configuration attributes inherited from DD.Scroll:

`buffer, horizontal, host, parentScroll scrollDelay vertical windowScroll`

#### Configuration attributes inherited from Base:

`destroyed initialized`

Copyright © 2011 Yahoo! Inc. All rights reserved.